Queryable.Order (Groovy 4.0.15)
Description: declaration: package: org.apache.groovy.ginq.provider.collection.runtime, interface: Queryable, class: Order

Package org.apache.groovy.ginq.provider.collection.runtime

# Class Queryable.Order<T,U extends Comparable<? super U>>

java.lang.Object
org.apache.groovy.ginq.provider.collection.runtime.Queryable.Order<T,U>

Type Parameters:
  `T` - the type of element from `Queryable` instance
  `U` - the type of field to sort

Enclosing interface:
  Queryable<T>

public static class Queryable.Order<T,U extends Comparable<? super U>> extends Object
Represents an order rule

Since:
  4.0.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Queryable.Order[]`
  `EMPTY_ARRAY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Order(Function<? super T,? extends U> keyExtractor, boolean asc)`
  `Order(Function<? super T,? extends U> keyExtractor, boolean asc, boolean nullsLast)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `Function<? super T,? extends U>`
  `getKeyExtractor()`
  `int`
  `hashCode()`
  `boolean`
  `isAsc()`
  `boolean`
  `isNullsLast()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### EMPTY_ARRAY

    public static final Queryable.Order[] EMPTY_ARRAY

- ## Constructor Details

  - ### Order

    public Order(Function<? super T,? extends U> keyExtractor, boolean asc)

  - ### Order

    public Order(Function<? super T,? extends U> keyExtractor, boolean asc, boolean nullsLast)

- ## Method Details

  - ### getKeyExtractor

    public Function<? super T,? extends U> getKeyExtractor()

  - ### isAsc

    public boolean isAsc()

  - ### isNullsLast

    public boolean isNullsLast()

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`